---
description: Access aggregated DNS query data from Cloudflare 1.1.1.1 resolver through Radar to explore top locations by hostname.
title: DNS
image: https://developers.cloudflare.com/og-docs.png
---

[Skip to content](#main-content)

> Documentation Index  
> Fetch the complete documentation index at: https://developers.cloudflare.com/radar/llms.txt  
> Use this file to discover all available pages before exploring further.

# DNS

Last updated Aug 24, 2026|Copy as Markdown|[View as Markdown](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/radar/investigate/dns/index.md)|[Agent setup](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/agent-setup/)

Access aggregated and anonymized DNS queries to Cloudflare's [1.1.1.1](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/1.1.1.1/) public resolver service.

## List of endpoints

### Top locations

#### Example: Geographical distribution of `google.com` versus `yandex.ru`

In the next example, we will request the top originating locations for `google.com` DNS queries:

```bash
curl "https://api.cloudflare.com/client/v4/radar/dns/top/locations?domain=google.com&dateRange=1d&format=json&limit=2" \
--header "Authorization: Bearer <API_TOKEN>"
```

The response shows that most queries come from the United States and Brazil:

```json
{
  "success": true,
  "errors": [],
  "result": {
		"top_0": [
			{
				"clientCountryAlpha2": "US",
				"clientCountryName": "United States",
				"value": "43.474518"
			},
			{
				"clientCountryAlpha2": "BR",
				"clientCountryName": "Brazil",
				"value": "10.772799"
			}
		],
		"meta": {
      // ...
    }
  }
}
```

Making the same search request for `yandex.ru`, a Russian search engine:

```bash
curl "https://api.cloudflare.com/client/v4/radar/dns/top/locations?domain=yandex.ru&dateRange=1d&format=json&limit=2" \
--header "Authorization: Bearer <API_TOKEN>"
```

Returns the following response:

```json
{
  "success": true,
  "errors": [],
  "result": {
		"top_0": [
			{
				"clientCountryAlpha2": "RU",
				"clientCountryName": "Russian Federation",
				"value": "73.710495"
			},
			{
				"clientCountryAlpha2": "DE",
				"clientCountryName": "Germany",
				"value": "5.518052"
			}
		],
		"meta": {
      // ...
    }
  }
}
```

As expected, most queries come from Russia.

Note

Note that these examples return the total number of DNS queries from a location to a hostname, _out_ of the total DNS queries to a given hostname. In this sense, it is expected that locations with higher population numbers — like the United States — frequently appear in the top spots, even if the actual percentage is low.

You can also provide multiple hostnames. Refer to [Get DNS top locations](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/api/resources/radar/subresources/dns/subresources/top/methods/locations/) for more information. This is useful when the application you want to explore uses several hostnames to serve its content (like a hostname for the main website, another hostname dedicated to its API, etc.).

## Next steps

Refer to [Domain ranking](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/radar/investigate/domain-ranking-datasets/) for more information on rankings generated by Cloudflare based on DNS queries to [1.1.1.1 public resolver](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/1.1.1.1/).

Was this helpful?

YesNo

## On this page

[![](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/_astro/logo.te5VL_aD.svg)Docs](https://docs-durable-objects-instance-replaced-errors.previews.developers.cloudflare.com/)

```json
{"@context":"https://schema.org","@type":"TechArticle","@id":"https://developers.cloudflare.com/radar/investigate/dns/#page","headline":"DNS · Cloudflare Radar docs","description":"Access aggregated DNS query data from Cloudflare 1.1.1.1 resolver through Radar to explore top locations by hostname.","url":"https://developers.cloudflare.com/radar/investigate/dns/","inLanguage":"en","image":"https://developers.cloudflare.com/og-docs.png","dateModified":"2026-08-24","publisher":{"@type":"Organization","name":"Cloudflare","description":"One platform for your apps, agents, and workforce. Build, secure, and scale without managing infrastructure","url":"https://www.cloudflare.com/","sameAs":["https://github.com/cloudflare","https://www.linkedin.com/company/cloudflare","https://x.com/cloudflare"],"logo":{"@type":"ImageObject","url":"https://developers.cloudflare.com/logo.svg"},"address":{"@type":"PostalAddress","streetAddress":"101 Townsend St","addressLocality":"San Francisco","addressRegion":"CA","postalCode":"94107","addressCountry":"US"},"contactPoint":[{"@type":"ContactPoint","contactType":"Customer Support","url":"https://support.cloudflare.com/","availableLanguage":["English"]},{"@type":"ContactPoint","contactType":"Sales","url":"https://www.cloudflare.com/contact/","availableLanguage":["English"]}]},"isPartOf":{"@type":"WebSite","@id":"https://developers.cloudflare.com/#website","name":"Cloudflare Docs","url":"https://developers.cloudflare.com/"}}
```
